#ifndef _TEXSONG_H_
#define _TEXSONG_H_


#include "kbSongExtension.h"

class KbPart;
class KbTrack;

/**
 *  This writes a tex-file, to work with MusixTex
 */
class TexSong : public KbSongExtension
{
 private:
  KbPart * master;
  int met0;
  int met1;
  
 public:
  
  /// Constructor
  TexSong();

  /// defines the funtionality, (see tex.cpp)
  virtual void act(KbTrack * track);
};

#endif
